Bug 1540971 - /sbin/ldconfig: Warning: ignoring configuration file that cannot be opened: /etc/ld.so.conf
Summary: /sbin/ldconfig: Warning: ignoring configuration file that cannot be opened: /...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-fedora-riscv64
TreeView+ depends on / blocked
 
Reported: 2018-02-01 12:26 UTC by Vít Ondruch
Modified: 2018-12-17 14:29 UTC (History)
11 users (show)

Fixed In Version: redhat-rpm-config-126-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 14:29:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2018-02-01 12:26:42 UTC
Description of problem:

I observe following warning building ruby without the %pre and %post sections:

~~~
+ /usr/lib/rpm/redhat/brp-ldconfig
/sbin/ldconfig: Warning: ignoring configuration file that cannot be
opened: /etc/ld.so.conf: No such file or directory
~~~


Version-Release number of selected component (if applicable):
$ rpm -q redhat-rpm-config
redhat-rpm-config-92-1.fc28.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Warning is shown.


Expected results:
No warning.


Additional info:
This happens when I build Ruby package with following modification:

~~~
diff --git a/ruby.spec b/ruby.spec
index 6eff5d9..e7b5114 100644
--- a/ruby.spec
+++ b/ruby.spec
@@ -21,7 +21,7 @@
 %endif
 
 
-%global release 87
+%global release 88
 %{!?release_string:%global release_string
%{?development_release:0.}%{release}%{?development_release:.%{development_release}}%{?dist}}
 
 # The RubyGems library has to stay out of Ruby directory three, since the
@@ -742,10 +742,6 @@ sed -i '/def test_mdns_each_address$/,/^  end$/
s/^/#/' test/resolv/test_mdns.rb
 
 make check TESTS="-v $DISABLE_TESTS"
 
-%post libs -p /sbin/ldconfig
-
-%postun libs -p /sbin/ldconfig
-
 %files
 %license BSDL
 %license COPYING
@@ -1062,6 +1058,9 @@ make check TESTS="-v $DISABLE_TESTS"
 %{gem_dir}/specifications/xmlrpc-%{xmlrpc_version}.gemspec
 
 %changelog
+* Tue Jan 30 2018 Vít Ondruch <vondruch@redhat.com> - 2.5.0-88
+- Drop obsolete ldconfig scriptlets.
+
 * Tue Jan 09 2018 Vít Ondruch <vondruch@redhat.com> - 2.5.0-87
 - Fix segfaults during generating of documentation.
 
~~~

Comment 1 Panu Matilainen 2018-02-01 13:07:50 UTC
Using ldconfig -f /dev/null in brp-ldconfig might work for just running it with defaults without warnings.

Comment 2 Fedora End Of Life 2018-02-20 15:39:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Igor Gnatenko 2018-03-09 16:14:20 UTC
> Blocks: 1553405

Hm? Does it break anything?

Comment 4 Richard W.M. Jones 2018-03-09 18:31:16 UTC
Bug 1553405 is just a tracker for RISC-V problems, you can ignore it.

Comment 5 Miroslav Suchý 2018-05-23 11:08:06 UTC
I am getting this error with normal mock.src.rpm

$ rpmbuild -ba ~/rpmbuild/SPECS/mock.spec
...
+ /usr/lib/rpm/check-buildroot                                                                                                                                      
+ /usr/lib/rpm/redhat/brp-ldconfig                                                                                                                                  
/sbin/ldconfig: Warning: ignoring configuration file that cannot be opened: /tmp/tito/rpmbuild-mock5i05pa5g/BUILDROOT/mock-1.4.10-1.git.5.456b508.fc28.x86_64/etc/ld.so.conf: No such file or directory                                                                                                                                 
+ /usr/lib/rpm/brp-compress

Comment 6 Igor Gnatenko 2018-05-23 11:19:53 UTC
(In reply to Miroslav Suchý from comment #5)
> I am getting this error with normal mock.src.rpm
> 
> $ rpmbuild -ba ~/rpmbuild/SPECS/mock.spec
> ...
> + /usr/lib/rpm/check-buildroot                                              
> 
> + /usr/lib/rpm/redhat/brp-ldconfig                                          
> 
> /sbin/ldconfig: Warning: ignoring configuration file that cannot be opened:
> /tmp/tito/rpmbuild-mock5i05pa5g/BUILDROOT/mock-1.4.10-1.git.5.456b508.fc28.
> x86_64/etc/ld.so.conf: No such file or directory                            
> 
> + /usr/lib/rpm/brp-compress

It's just a warning, ignore it ;)

We will solve it at some point.

Comment 7 Panu Matilainen 2018-12-17 14:29:44 UTC
Fixed in redhat-rpm-config-126-1.fc30 by creating (and removing) an empty, temporary config for ldconfig to use.


Note You need to log in before you can comment on or make changes to this bug.